%define prerel %nil
%define _name timidity

Name: TiMidity++
Version: 2.13.2
Release: alt8%prerel

Summary: Great-sounding CPU-hungry MIDI soundfile player
License: GPL
Group: Sound

Url: http://timidity.sourceforge.net
Source: http://prdownloads.sourceforge.net/timidity/%name-%version%prerel.tar.bz2
Patch0: TiMidity++-2.13.0-alt-config.patch
Patch1: timidity++-2.13.2-exiterror.patch
Patch2: timidity++-2.13.2-gcc4.patch
Patch3: timidity++-2.13.2-gtk26.patch
Patch4: TiMidity++-2.13.2-tcltk-link.patch
Patch5: TiMidity++-2.13.2+flac-1.1.3-partial.patch
Patch6: TiMidity++-2.13.2+flac-1.1.3.patch
Patch7: TiMidity++-2.13.2-alt-speex.patch
Patch8: TiMidity-nopoll.diff
Packager: Michael Shigorin <mike@altlinux.org>

%define tcl_ver 8.4.0-alt1
%define tk_ver 8.4.0-alt1

Requires: timidity-instruments
Requires: tcl >= %tcl_ver, tk >= %tk_ver

# Automatically added by buildreq on Tue Feb 20 2007
BuildRequires: emacs-common esound-devel jackit-devel libXaw-devel libXaw3d-devel libalsa-devel libao-devel libflac-devel libgtk+2-devel libncurses-devel liboggflac-devel libslang-devel libspeex-devel openmotif-devel tk-devel

BuildRequires: tcl-devel >= %tcl_ver, tk-devel >= %tk_ver

Summary(ru_RU.KOI8-R): / MIDI-
Summary(ru_RU.KOI8-R): / MIDI-̦

%description
TiMidity++ is a converter that converts some of MIDI files
(formats : Standard MIDI file (*.MID), Recomposer files (*.RCP, *.R36,
*.G18, *.G36) and Module file (*.mod)) into formatted audio file  (ex
.RIFF  WAVE). TiMidity uses Gravis Ultrasound-compatible patch files or
Soundfonts( *.sfx, *.sf2 ) to generate digital audio data from MIDI
files. The digital audio data generated by TiMidity can be stored in a
file for processing, or played in real time through an audio device. In
real time playing, TiMidity if able to show the lyric contained in KAR
file or WRD file.

%description -l ru_RU.KOI8-R
TiMidity++ --  MIDI-,    
MIDI      wavetable    
 (patch files) --    Gravis Ultrasound
.pat- (   ).    
 timidity-instruments  timidity-eaw-patches.

%description -l uk_UA.KOI8-U
TiMidity++ --  MIDI-̦,   դ ϧ Ц
MIDI  դ   Φ wavetable  Ħ ..
ަ (patch files) -- ͦ   Gravis Ultrasound
.pat-̦ (   ). æ ަ 
  timidity-instruments  timidity-eaw-patches.

%prep
%setup -q -n %name-%version%prerel
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
#patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0

cp -a INSTALL INSTALL.orig

%build
%define _optlevel 3
export EXTRACFLAGS="-DUSE_NON_CONST %optflags %optflags_fastmath %optflags_notraceback"
%configure \
    --program-prefix="" \
    --enable-interface=xaw,ncurses,gtk,tcltk,emacs,slang \
    --enable-audio=default,oss,alsa,esd,vorbis,ao,jack,flac,speex \
    --with-default-output=alsa \
    --enable-server \
    --enable-alsaseq \
    --enable-network \
    --enable-spectrogram \
    --enable-wrd \
    --enable-dynamic \
    --enable-vt100 \
    --enable-spline=cubic

%make_build

%install
%makeinstall

# Install TiMidity interface for Emacs
subst 's@/usr/local/bin/%_name@%_bindir/%_name@' interface/%_name.el
mkdir -p %buildroot%_emacslispdir
install -m644 interface/%_name.el %buildroot%_emacslispdir/

# icon
mkdir -p %buildroot%_iconsdir
cp -a interface/pixmaps/%_name.xpm %buildroot%_iconsdir

# menu
cat << __MENU__ > %name.menu
?package(%name): needs="X11" section="Multimedia/%group/" \
title="%name" longtitle="MIDI soundfile player" icon="%_name.xpm"
?package(%name): command="%_bindir/%_name -ig" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (GTK)" longtitle="MIDI soundfile player with GTK interface" icon="%_name.xpm"
?package(%name): command="%_bindir/%_name -ik" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (TclTk)" longtitle="MIDI soundfile player with TclTk interface" icon="%_name.xpm"
?package(%name): command="%_bindir/%_name -ia" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (XAW)" longtitle="MIDI soundfile player with XAW interface" icon="%_name.xpm"
__MENU__

install -pD -m644 %name.menu %buildroot%_menudir/%name

# Adjust paths in tkmidity.tcl
subst 's,%buildroot,,g' %buildroot%_usr/lib/%_name/tkmidity.tcl

# Create timidity.cfg in proper location
mkdir -p %buildroot%_sysconfdir
echo "dir %_datadir/%_name" >%buildroot%_sysconfdir/%_name.cfg

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%_name
%_usr/lib/%_name
%_mandir/*/*
%_emacslispdir/%_name.el
%_menudir/%name
%_iconsdir/*
%config %_sysconfdir/%_name.cfg
%doc ChangeLog INSTALL.orig README
%doc doc/C/{README*,FAQ}

# TODO
# - fd.o menu
# - initscript? (init.d.timidity in gentoo)

%changelog
* Wed Nov 28 2007 Michael Shigorin <mike@altlinux.org> 2.13.2-alt8
- rebuilt against tcl/tk 8.5 libs
- demacrified Url

* Tue Sep 18 2007 Kirill A. Shutemov <kas@altlinux.ru> 2.13.2-alt7.1
- NMU
- Drop BuildRequires: kernel-headers-std. Use glibc-kernheaders instead.

* Thu Jul 05 2007 Michael Shigorin <mike@altlinux.org> 2.13.2-alt7
- added "nopoll" patch by Niko Kiirala <niko kiirala com> to reduce
  TiMidity power usage when idling and stream tracing's not used:
  http://fedev.blogspot.com/2007/07/timidity-power-usage.html

* Tue Mar 27 2007 Michael Shigorin <mike@altlinux.org> 2.13.2-alt6
- removed NAS support (considered obsolete, see #11227)
- dropped ARTS support (just in case)
- adjusted BuildRequires

* Mon Feb 19 2007 Michael Shigorin <mike@altlinux.org> 2.13.2-alt5
- replaced partial FLAC patch with more complete and correct one
  by Alexander Chumachenko (led@; #10864) -- thanks, sent upstream
- added speex patch (#10865, by led@ too; updated to patch
  configure as well since autoconf -fisv fails) and sent it altogether
- updated and cleaned up buildrequires (+missing libXaw-devel)
- changed default output to ALSA

* Sat Dec 09 2006 Michael Shigorin <mike@altlinux.org> 2.13.2-alt4
- added FLAC 1.1.3 patch by FLAC developers, kindly provided by
  Pavlov Konstantin (thresh@)

* Fri Oct 13 2006 Michael Shigorin <mike@altlinux.org> 2.13.2-alt3
- thanks Damir Shayhutdinov (damir@) who got around to fixing
  the build; and Andrey Rahmatullin (wrar@) who hinted me before

* Tue Jun 20 2006 Michael Shigorin <mike@altlinux.org> 2.13.2-alt2
- package takeover
- spec cleanup
- applied Gentoo patches (gcc4, gtk26, gnuconfig, exiterror)
  to build with current gcc on x86_64
- dirty libdir hack to avoid turning off tcltk interface living there
- stolen some Gentoo configure flags -- report please if that was wrong

* Mon Mar 27 2006 Michael Shigorin <mike@altlinux.org> 2.13.2-alt1
- 2.13.2 (NMU)

* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.13.1-alt1.1
- Rebuilt with libflac-1.1.2-alt1

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.13.1-alt1
- 2.13.1
- fixed build to run timidity faster.
- fixed url.
- built new gtk2 interface.
- enabled libao, flac and speex support.

* Wed Apr 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.13.0-alt1.1
- removed silly requirements.

* Mon Mar 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.13.0-alt1
- new version.

* Wed Jan 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt1pre1
- fixed build with alsa >= 1.0.0 (gentoo patch).

* Thu Jun 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.95pre1
- enabled NAS support.
- improved menus.
- url fixed.

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.12.0-alt0.9pre1
- rebuilt with tcl 8.4

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.8pre1
- rebuilt with gcc-3.2, new XFree86.
- updated buildrequires.
- made building always with alsa2.

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 2.12.0-alt0.7pre1
- rebuild with new vorbis

* Thu Jun 13 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.12.0-alt0.6pre1
- rebuilt in new env

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.5pre1
- beta version. (alsa2 supported).
- slang interface added.

* Sat Feb 2 2002  Yuri N. Sedunov <aris@altlinux.ru> 2.11.3-alt1
- Updated to 2.11.3
- ogg-vorbis output mode added.
- not ready for alsa2.

* Tue Dec 25 2001 Yuri N. Sedunov <aris@altlinux.ru> 2.10.4-alt1
- Adopted for Sisyphus
- Updated to 2.10.4

* Sun Mar 18 2001 AEN <aen@logic.ru> 2.10.3-ipl1mdk
- new version
* Wed Jan 10 2001 AEN <aen@logic.ru>
- adopted for RE

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.2-1mdk
- new and shiny vesrion.
- reenable gtk (why was it ever disabled?!)
- cleanup of stale patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.1-1mdk
- shiny new version.
- remove the strip and bzip2 code.
- get a new source instead of using patches.

* Wed Aug 09 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.10.0-1mdk
- Version 2.10.0
- Fixed man location for FHS

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9.5-2mdk
- automatically added BuildRequires

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.9.5-1mdk
- Version 2.9.5

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version 2.9.4

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Mar 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 2.9.0
- change license: it's majorly wrong
- change the buildroot

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.8.2-1mdk
- 2.8.2

*  Fri Dec 3 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.8.1

* Tue Oct 26 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.7.0: Note that 2.7.0 change the place where data and config files
  are, so old patches do not work anymore; i removed the patches, 
  and timidity.cgf is now in /usr/share/timidity with the other
  files; you need timidity-instruments-1.0-4mdk with this package.

* Fri Aug  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.3.0
- fix download URL

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1.1

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Change paths to match the timidity-instruments package

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- handle RPM_OPT_FLAGS.

